<?php
# -- BEGIN LICENSE BLOCK ----------------------------------
#
# This file is part of FeeMeak.
# 
# Copyright (c) 2008 Akewea.com
# 
# FeeMeak is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# 
# Foobar is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with FeeMeak.  If not, see <http://www.gnu.org/licenses/>.
#
# -- END LICENSE BLOCK ------------------------------------

$core->addBehavior('adminBlogPreferencesForm',array('FeeMeakBehaviors','adminBlogPreferencesForm'));
$core->addBehavior('adminBeforeBlogSettingsUpdate',array('FeeMeakBehaviors','adminBeforeBlogSettingsUpdate'));

class FeeMeakBehaviors
{
	public static function adminBlogPreferencesForm(&$core,&$settings)
	{
		echo
		'<fieldset><legend>FeeMeak</legend>'.
		'<p><label class="classic">'.
		form::checkbox('feemeak_enabled','1',$settings->feemeak_enabled).
		__('Enable FeeMeak').'</label></p>'.
		'</fieldset>';
	}
	
	public static function adminBeforeBlogSettingsUpdate(&$settings)
	{
		$settings->setNameSpace('feemeak');
		$settings->put('feemeak_enabled',!empty($_POST['feemeak_enabled']),'boolean');
		$settings->setNameSpace('system');
	}
}
?>