<?php
# -- BEGIN LICENSE BLOCK ----------------------------------
#
# This file is part of FeeMeak.
# 
# Copyright (c) 2008 Akewea.com
# 
# FeeMeak is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# 
# Foobar is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with FeeMeak.  If not, see <http://www.gnu.org/licenses/>.
#
# -- END LICENSE BLOCK ------------------------------------

if (!defined('DC_CONTEXT_ADMIN')) { return; }
 
$m_version = $core->plugins->moduleInfo('feemeak','version');
 
$i_version = $core->getVersion('feemeak');
 
if (version_compare($i_version,$m_version,'>=')) {
	return;
}
 
# Cration du setting (s'il existe, il ne sera pas cras)
$settings = new dcSettings($core,null);
$settings->setNamespace('feemeak');
$settings->put('feemeak_feed_icon_url','','string','feemeak feed icon URL',false,true);
$settings->put('feemeak_enabled',false,'boolean','Enable feemeak for all pages',false,true);

$core->setVersion('feemeak',$m_version);
?>